Elm327 - Alfa Romeo Forum
You are currently unregistered, register for more features.    
Thread Tools Search this Thread
(Post Link) post #1 of 2 Old 28-04-10 Thread Starter
Status: -
AO Member
Join Date: Feb 2010
Location: United Kingdom
County: Lincolnshire
Posts: 20

Member car:

Mondeo ST220


Hi guys - bought an ELM327 OBDII reader from ebay - managed to get it working with scantool version 1.3. The reader has turned out to be a clone and will only work with scantool v1.3 - not with v1.4 onwards.

The car is a 2.0 JTS. I am aware that FIATscan wont work on the 2.0 JTS but will alfascan work with my cloned ELM327?

Any help would be greatly appreciated. Could there be other Alfa software I could use?
deanarse is offline  
Sponsored Links
Status: -
AO Platinum Member
David C's Avatar
Join Date: Aug 2003
Location: London, England
Posts: 28,994
If you mean Alfadiag, no that does not work with ELM interfaces.

AlfaDiag will work with a 2.0JTS, but needs a KKL type interface (search eBay for "USB KKL").
David C is offline  

Go Back   Alfa Romeo Forum > Supported Alfa Romeo Models > Technical & Vehicle Assistance > Alfa 147, 156 & GT


Thread Tools Search this Thread
Show Printable Version Show Printable Version
Email this Page Email this Page
Search this Thread:

Advanced Search

Posting Rules  
You may post new threads
You may post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off

For the best viewing experience please update your browser to Google Chrome